#ifndef __GPWRAP_H__
#define __GPWRAP_H__

#define SEEK_SET FROM_BEGIN
#define SEEK_CUR FROM_CURRENT
#define SEEK_END FROM_END
#define EOF     (-1)

typedef F_HANDLE FILE;

ulong filelength(char * file);
FILE *gpfopen(const char *path, const char *mode);
int gpfclose(FILE *stream);
size_t fread(void *ptr, size_t size, size_t nmemb, FILE *stream);
size_t fwrite(const void *ptr, size_t size, size_t nmemb, FILE *stream);
int fseek(FILE *stream, long offset, int whence);
long ftell(FILE *stream);
unsigned char fgetc(FILE *stream);
unsigned char fputc(int c, FILE *stream);
size_t strlen(const char *s);
char *strcpy(char *s1, const char *s2);
int abs(int j);
void sleep(long delay);

#endif