#ifndef __OBJECTS_H__
#define __OBJECTS_H__

typedef struct {
  short live;
  char mood;
  float x, y;
  float x_add, y_add;
  float frame;
} Chicken;

extern Chicken chicken[40];

typedef struct {
  short live;
  float x, y;
  float x_add, y_add;
  float frame;
  float tail_x[3], tail_y[3];
  char tail_p;
} Spark;

extern Spark spark[40];

typedef struct {
  short live;
  float x, y;
  float x_add, y_add;
  float frame;
  float tail_x[3], tail_y[3];
  char tail_p;
} Blood;

extern Blood blood[40];

typedef struct {
  short live;
  float x, y;
  float x_add, y_add;
  float frame;
  float tail_x[3], tail_y[3];
  char tail_p;
}Crystal;

extern Crystal crystal[40];

typedef struct {
  short live;
  float x, y;
  float x_add, y_add;
} BDrop;

extern BDrop bdrop[240];

typedef struct {
  short live;
  char mood;
  float x, y;
  float x_add, y_add;
} MSLogo;

extern MSLogo mslogo[4];

typedef struct {
  short live;
  float x, y;
  float x_add, y_add;
  float frame;
} MSDebr;

extern MSDebr msdebr[40];

typedef struct {
  short live;
  char mood;
  float x, y;
  float x_add, y_add;
} Programmer;

extern Programmer programmer[4];

typedef struct {
  short live;
  short age;
  short x;
} FireFuel;

extern FireFuel fire_fuel[20];

typedef struct {
  short c1;
} Fire;

extern Fire fire;

extern char crystal_spawn;
extern unsigned char fire_b[320 * 10], fire_c[320 * 10];

void move_fire(void);
void draw_fire(void);
void add_spark(float x_pos, float y_pos, float x_add, float y_add);
void move_spark(void);
void draw_spark(void);
void add_blood(float x_pos, float y_pos, float x_add, float y_add);
void move_blood(void);
void draw_blood(void);
void add_crystal(float x_pos, float y_pos, float x_add, float y_add);
void move_crystal(void);
void draw_crystal(void);
void add_bdrop(float x_pos, float y_pos, float x_add, float y_add);
void move_bdrop(void);
void draw_bdrop(void);
void add_mslogo(void);
void move_mslogo(void);
void draw_mslogo(void);
void add_msdebr(float x_pos, float y_pos, float x_add, float y_add);
void move_msdebr(void);
void draw_msdebr(void);
void add_programmer(void);
void move_programmer(void);
void draw_programmer(void);
void add_chicken(void);
void move_chicken(void);
void draw_chicken(void);
void add_fire_fuel(short x_pos);
void move_fire_fuel(void);

#endif